Name:          vapoursynth
Version:       70.11
Release:       1mamba
Summary:       A video processing framework with simplicity in mind
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.vapoursynth.com/
Source:        https://github.com/vapoursynth/vapoursynth.git/R%{version}/vapoursynth-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpython3-devel
BuildRequires: libpython311-devel
BuildRequires: libstdc++6-devel
BuildRequires: libzimg-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A video processing framework with simplicity in mind.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/vspipe

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libvapoursynth-script.so.*
%{python3_sitearch}/vapoursynth.so
%doc COPYING.LESSER

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/vapoursynth
%{_includedir}/vapoursynth/*
%{_libdir}/libvapoursynth-script.a
%{_libdir}/libvapoursynth-script.so
%{_libdir}/libvapoursynth.a
%{_libdir}/libvapoursynth.so
%{_libdir}/pkgconfig/vapoursynth-script.pc
%{_libdir}/pkgconfig/vapoursynth.pc
%doc ChangeLog README.md

%changelog
* Thu Jan 16 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 70.11-1mamba
- package created using the webbuild interface
